Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network29.160.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
29.160.0.0
Broadcast address
29.191.255.255
First usable
29.160.0.1
Last usable
29.191.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 1DA00000 · Integer 497025024 to 499122175
Reverse DNS zones
160.29.in-addr.arpa
161.29.in-addr.arpa
162.29.in-addr.arpa
163.29.in-addr.arpa
164.29.in-addr.arpa
165.29.in-addr.arpa
166.29.in-addr.arpa
167.29.in-addr.arpa
168.29.in-addr.arpa
169.29.in-addr.arpa
170.29.in-addr.arpa
171.29.in-addr.arpa
172.29.in-addr.arpa
173.29.in-addr.arpa
174.29.in-addr.arpa
175.29.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011101.10100000.00000000.0000000029.160.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00011101.10100000.00000000.0000000029.160.0.0
Broadcast00011101.10111111.11111111.1111111129.191.255.255
Split into smaller subnets/19

29.160.0.0/11 makes 256 subnets of /19.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
129.160.0.0/1929.160.0.1 to 29.160.31.25429.160.31.2558,190
229.160.32.0/1929.160.32.1 to 29.160.63.25429.160.63.2558,190
329.160.64.0/1929.160.64.1 to 29.160.95.25429.160.95.2558,190
429.160.96.0/1929.160.96.1 to 29.160.127.25429.160.127.2558,190
529.160.128.0/1929.160.128.1 to 29.160.159.25429.160.159.2558,190
629.160.160.0/1929.160.160.1 to 29.160.191.25429.160.191.2558,190
729.160.192.0/1929.160.192.1 to 29.160.223.25429.160.223.2558,190
829.160.224.0/1929.160.224.1 to 29.160.255.25429.160.255.2558,190
929.161.0.0/1929.161.0.1 to 29.161.31.25429.161.31.2558,190
1029.161.32.0/1929.161.32.1 to 29.161.63.25429.161.63.2558,190
1129.161.64.0/1929.161.64.1 to 29.161.95.25429.161.95.2558,190
1229.161.96.0/1929.161.96.1 to 29.161.127.25429.161.127.2558,190
1329.161.128.0/1929.161.128.1 to 29.161.159.25429.161.159.2558,190
1429.161.160.0/1929.161.160.1 to 29.161.191.25429.161.191.2558,190
1529.161.192.0/1929.161.192.1 to 29.161.223.25429.161.223.2558,190
1629.161.224.0/1929.161.224.1 to 29.161.255.25429.161.255.2558,190
1729.162.0.0/1929.162.0.1 to 29.162.31.25429.162.31.2558,190
1829.162.32.0/1929.162.32.1 to 29.162.63.25429.162.63.2558,190
1929.162.64.0/1929.162.64.1 to 29.162.95.25429.162.95.2558,190
2029.162.96.0/1929.162.96.1 to 29.162.127.25429.162.127.2558,190
2129.162.128.0/1929.162.128.1 to 29.162.159.25429.162.159.2558,190
2229.162.160.0/1929.162.160.1 to 29.162.191.25429.162.191.2558,190
2329.162.192.0/1929.162.192.1 to 29.162.223.25429.162.223.2558,190
2429.162.224.0/1929.162.224.1 to 29.162.255.25429.162.255.2558,190
2529.163.0.0/1929.163.0.1 to 29.163.31.25429.163.31.2558,190
2629.163.32.0/1929.163.32.1 to 29.163.63.25429.163.63.2558,190
2729.163.64.0/1929.163.64.1 to 29.163.95.25429.163.95.2558,190
2829.163.96.0/1929.163.96.1 to 29.163.127.25429.163.127.2558,190
2929.163.128.0/1929.163.128.1 to 29.163.159.25429.163.159.2558,190
3029.163.160.0/1929.163.160.1 to 29.163.191.25429.163.191.2558,190
3129.163.192.0/1929.163.192.1 to 29.163.223.25429.163.223.2558,190
3229.163.224.0/1929.163.224.1 to 29.163.255.25429.163.255.2558,190
3329.164.0.0/1929.164.0.1 to 29.164.31.25429.164.31.2558,190
3429.164.32.0/1929.164.32.1 to 29.164.63.25429.164.63.2558,190
3529.164.64.0/1929.164.64.1 to 29.164.95.25429.164.95.2558,190
3629.164.96.0/1929.164.96.1 to 29.164.127.25429.164.127.2558,190
3729.164.128.0/1929.164.128.1 to 29.164.159.25429.164.159.2558,190
3829.164.160.0/1929.164.160.1 to 29.164.191.25429.164.191.2558,190
3929.164.192.0/1929.164.192.1 to 29.164.223.25429.164.223.2558,190
4029.164.224.0/1929.164.224.1 to 29.164.255.25429.164.255.2558,190
4129.165.0.0/1929.165.0.1 to 29.165.31.25429.165.31.2558,190
4229.165.32.0/1929.165.32.1 to 29.165.63.25429.165.63.2558,190
4329.165.64.0/1929.165.64.1 to 29.165.95.25429.165.95.2558,190
4429.165.96.0/1929.165.96.1 to 29.165.127.25429.165.127.2558,190
4529.165.128.0/1929.165.128.1 to 29.165.159.25429.165.159.2558,190
4629.165.160.0/1929.165.160.1 to 29.165.191.25429.165.191.2558,190
4729.165.192.0/1929.165.192.1 to 29.165.223.25429.165.223.2558,190
4829.165.224.0/1929.165.224.1 to 29.165.255.25429.165.255.2558,190
4929.166.0.0/1929.166.0.1 to 29.166.31.25429.166.31.2558,190
5029.166.32.0/1929.166.32.1 to 29.166.63.25429.166.63.2558,190
5129.166.64.0/1929.166.64.1 to 29.166.95.25429.166.95.2558,190
5229.166.96.0/1929.166.96.1 to 29.166.127.25429.166.127.2558,190
5329.166.128.0/1929.166.128.1 to 29.166.159.25429.166.159.2558,190
5429.166.160.0/1929.166.160.1 to 29.166.191.25429.166.191.2558,190
5529.166.192.0/1929.166.192.1 to 29.166.223.25429.166.223.2558,190
5629.166.224.0/1929.166.224.1 to 29.166.255.25429.166.255.2558,190
5729.167.0.0/1929.167.0.1 to 29.167.31.25429.167.31.2558,190
5829.167.32.0/1929.167.32.1 to 29.167.63.25429.167.63.2558,190
5929.167.64.0/1929.167.64.1 to 29.167.95.25429.167.95.2558,190
6029.167.96.0/1929.167.96.1 to 29.167.127.25429.167.127.2558,190
6129.167.128.0/1929.167.128.1 to 29.167.159.25429.167.159.2558,190
6229.167.160.0/1929.167.160.1 to 29.167.191.25429.167.191.2558,190
6329.167.192.0/1929.167.192.1 to 29.167.223.25429.167.223.2558,190
6429.167.224.0/1929.167.224.1 to 29.167.255.25429.167.255.2558,190
6529.168.0.0/1929.168.0.1 to 29.168.31.25429.168.31.2558,190
6629.168.32.0/1929.168.32.1 to 29.168.63.25429.168.63.2558,190
6729.168.64.0/1929.168.64.1 to 29.168.95.25429.168.95.2558,190
6829.168.96.0/1929.168.96.1 to 29.168.127.25429.168.127.2558,190
6929.168.128.0/1929.168.128.1 to 29.168.159.25429.168.159.2558,190
7029.168.160.0/1929.168.160.1 to 29.168.191.25429.168.191.2558,190
7129.168.192.0/1929.168.192.1 to 29.168.223.25429.168.223.2558,190
7229.168.224.0/1929.168.224.1 to 29.168.255.25429.168.255.2558,190
7329.169.0.0/1929.169.0.1 to 29.169.31.25429.169.31.2558,190
7429.169.32.0/1929.169.32.1 to 29.169.63.25429.169.63.2558,190
7529.169.64.0/1929.169.64.1 to 29.169.95.25429.169.95.2558,190
7629.169.96.0/1929.169.96.1 to 29.169.127.25429.169.127.2558,190
7729.169.128.0/1929.169.128.1 to 29.169.159.25429.169.159.2558,190
7829.169.160.0/1929.169.160.1 to 29.169.191.25429.169.191.2558,190
7929.169.192.0/1929.169.192.1 to 29.169.223.25429.169.223.2558,190
8029.169.224.0/1929.169.224.1 to 29.169.255.25429.169.255.2558,190
8129.170.0.0/1929.170.0.1 to 29.170.31.25429.170.31.2558,190
8229.170.32.0/1929.170.32.1 to 29.170.63.25429.170.63.2558,190
8329.170.64.0/1929.170.64.1 to 29.170.95.25429.170.95.2558,190
8429.170.96.0/1929.170.96.1 to 29.170.127.25429.170.127.2558,190
8529.170.128.0/1929.170.128.1 to 29.170.159.25429.170.159.2558,190
8629.170.160.0/1929.170.160.1 to 29.170.191.25429.170.191.2558,190
8729.170.192.0/1929.170.192.1 to 29.170.223.25429.170.223.2558,190
8829.170.224.0/1929.170.224.1 to 29.170.255.25429.170.255.2558,190
8929.171.0.0/1929.171.0.1 to 29.171.31.25429.171.31.2558,190
9029.171.32.0/1929.171.32.1 to 29.171.63.25429.171.63.2558,190
9129.171.64.0/1929.171.64.1 to 29.171.95.25429.171.95.2558,190
9229.171.96.0/1929.171.96.1 to 29.171.127.25429.171.127.2558,190
9329.171.128.0/1929.171.128.1 to 29.171.159.25429.171.159.2558,190
9429.171.160.0/1929.171.160.1 to 29.171.191.25429.171.191.2558,190
9529.171.192.0/1929.171.192.1 to 29.171.223.25429.171.223.2558,190
9629.171.224.0/1929.171.224.1 to 29.171.255.25429.171.255.2558,190
9729.172.0.0/1929.172.0.1 to 29.172.31.25429.172.31.2558,190
9829.172.32.0/1929.172.32.1 to 29.172.63.25429.172.63.2558,190
9929.172.64.0/1929.172.64.1 to 29.172.95.25429.172.95.2558,190
10029.172.96.0/1929.172.96.1 to 29.172.127.25429.172.127.2558,190
10129.172.128.0/1929.172.128.1 to 29.172.159.25429.172.159.2558,190
10229.172.160.0/1929.172.160.1 to 29.172.191.25429.172.191.2558,190
10329.172.192.0/1929.172.192.1 to 29.172.223.25429.172.223.2558,190
10429.172.224.0/1929.172.224.1 to 29.172.255.25429.172.255.2558,190
10529.173.0.0/1929.173.0.1 to 29.173.31.25429.173.31.2558,190
10629.173.32.0/1929.173.32.1 to 29.173.63.25429.173.63.2558,190
10729.173.64.0/1929.173.64.1 to 29.173.95.25429.173.95.2558,190
10829.173.96.0/1929.173.96.1 to 29.173.127.25429.173.127.2558,190
10929.173.128.0/1929.173.128.1 to 29.173.159.25429.173.159.2558,190
11029.173.160.0/1929.173.160.1 to 29.173.191.25429.173.191.2558,190
11129.173.192.0/1929.173.192.1 to 29.173.223.25429.173.223.2558,190
11229.173.224.0/1929.173.224.1 to 29.173.255.25429.173.255.2558,190
11329.174.0.0/1929.174.0.1 to 29.174.31.25429.174.31.2558,190
11429.174.32.0/1929.174.32.1 to 29.174.63.25429.174.63.2558,190
11529.174.64.0/1929.174.64.1 to 29.174.95.25429.174.95.2558,190
11629.174.96.0/1929.174.96.1 to 29.174.127.25429.174.127.2558,190
11729.174.128.0/1929.174.128.1 to 29.174.159.25429.174.159.2558,190
11829.174.160.0/1929.174.160.1 to 29.174.191.25429.174.191.2558,190
11929.174.192.0/1929.174.192.1 to 29.174.223.25429.174.223.2558,190
12029.174.224.0/1929.174.224.1 to 29.174.255.25429.174.255.2558,190
12129.175.0.0/1929.175.0.1 to 29.175.31.25429.175.31.2558,190
12229.175.32.0/1929.175.32.1 to 29.175.63.25429.175.63.2558,190
12329.175.64.0/1929.175.64.1 to 29.175.95.25429.175.95.2558,190
12429.175.96.0/1929.175.96.1 to 29.175.127.25429.175.127.2558,190
12529.175.128.0/1929.175.128.1 to 29.175.159.25429.175.159.2558,190
12629.175.160.0/1929.175.160.1 to 29.175.191.25429.175.191.2558,190
12729.175.192.0/1929.175.192.1 to 29.175.223.25429.175.223.2558,190
12829.175.224.0/1929.175.224.1 to 29.175.255.25429.175.255.2558,190
12929.176.0.0/1929.176.0.1 to 29.176.31.25429.176.31.2558,190
13029.176.32.0/1929.176.32.1 to 29.176.63.25429.176.63.2558,190
13129.176.64.0/1929.176.64.1 to 29.176.95.25429.176.95.2558,190
13229.176.96.0/1929.176.96.1 to 29.176.127.25429.176.127.2558,190
13329.176.128.0/1929.176.128.1 to 29.176.159.25429.176.159.2558,190
13429.176.160.0/1929.176.160.1 to 29.176.191.25429.176.191.2558,190
13529.176.192.0/1929.176.192.1 to 29.176.223.25429.176.223.2558,190
13629.176.224.0/1929.176.224.1 to 29.176.255.25429.176.255.2558,190
13729.177.0.0/1929.177.0.1 to 29.177.31.25429.177.31.2558,190
13829.177.32.0/1929.177.32.1 to 29.177.63.25429.177.63.2558,190
13929.177.64.0/1929.177.64.1 to 29.177.95.25429.177.95.2558,190
14029.177.96.0/1929.177.96.1 to 29.177.127.25429.177.127.2558,190
14129.177.128.0/1929.177.128.1 to 29.177.159.25429.177.159.2558,190
14229.177.160.0/1929.177.160.1 to 29.177.191.25429.177.191.2558,190
14329.177.192.0/1929.177.192.1 to 29.177.223.25429.177.223.2558,190
14429.177.224.0/1929.177.224.1 to 29.177.255.25429.177.255.2558,190
14529.178.0.0/1929.178.0.1 to 29.178.31.25429.178.31.2558,190
14629.178.32.0/1929.178.32.1 to 29.178.63.25429.178.63.2558,190
14729.178.64.0/1929.178.64.1 to 29.178.95.25429.178.95.2558,190
14829.178.96.0/1929.178.96.1 to 29.178.127.25429.178.127.2558,190
14929.178.128.0/1929.178.128.1 to 29.178.159.25429.178.159.2558,190
15029.178.160.0/1929.178.160.1 to 29.178.191.25429.178.191.2558,190
15129.178.192.0/1929.178.192.1 to 29.178.223.25429.178.223.2558,190
15229.178.224.0/1929.178.224.1 to 29.178.255.25429.178.255.2558,190
15329.179.0.0/1929.179.0.1 to 29.179.31.25429.179.31.2558,190
15429.179.32.0/1929.179.32.1 to 29.179.63.25429.179.63.2558,190
15529.179.64.0/1929.179.64.1 to 29.179.95.25429.179.95.2558,190
15629.179.96.0/1929.179.96.1 to 29.179.127.25429.179.127.2558,190
15729.179.128.0/1929.179.128.1 to 29.179.159.25429.179.159.2558,190
15829.179.160.0/1929.179.160.1 to 29.179.191.25429.179.191.2558,190
15929.179.192.0/1929.179.192.1 to 29.179.223.25429.179.223.2558,190
16029.179.224.0/1929.179.224.1 to 29.179.255.25429.179.255.2558,190
16129.180.0.0/1929.180.0.1 to 29.180.31.25429.180.31.2558,190
16229.180.32.0/1929.180.32.1 to 29.180.63.25429.180.63.2558,190
16329.180.64.0/1929.180.64.1 to 29.180.95.25429.180.95.2558,190
16429.180.96.0/1929.180.96.1 to 29.180.127.25429.180.127.2558,190
16529.180.128.0/1929.180.128.1 to 29.180.159.25429.180.159.2558,190
16629.180.160.0/1929.180.160.1 to 29.180.191.25429.180.191.2558,190
16729.180.192.0/1929.180.192.1 to 29.180.223.25429.180.223.2558,190
16829.180.224.0/1929.180.224.1 to 29.180.255.25429.180.255.2558,190
16929.181.0.0/1929.181.0.1 to 29.181.31.25429.181.31.2558,190
17029.181.32.0/1929.181.32.1 to 29.181.63.25429.181.63.2558,190
17129.181.64.0/1929.181.64.1 to 29.181.95.25429.181.95.2558,190
17229.181.96.0/1929.181.96.1 to 29.181.127.25429.181.127.2558,190
17329.181.128.0/1929.181.128.1 to 29.181.159.25429.181.159.2558,190
17429.181.160.0/1929.181.160.1 to 29.181.191.25429.181.191.2558,190
17529.181.192.0/1929.181.192.1 to 29.181.223.25429.181.223.2558,190
17629.181.224.0/1929.181.224.1 to 29.181.255.25429.181.255.2558,190
17729.182.0.0/1929.182.0.1 to 29.182.31.25429.182.31.2558,190
17829.182.32.0/1929.182.32.1 to 29.182.63.25429.182.63.2558,190
17929.182.64.0/1929.182.64.1 to 29.182.95.25429.182.95.2558,190
18029.182.96.0/1929.182.96.1 to 29.182.127.25429.182.127.2558,190
18129.182.128.0/1929.182.128.1 to 29.182.159.25429.182.159.2558,190
18229.182.160.0/1929.182.160.1 to 29.182.191.25429.182.191.2558,190
18329.182.192.0/1929.182.192.1 to 29.182.223.25429.182.223.2558,190
18429.182.224.0/1929.182.224.1 to 29.182.255.25429.182.255.2558,190
18529.183.0.0/1929.183.0.1 to 29.183.31.25429.183.31.2558,190
18629.183.32.0/1929.183.32.1 to 29.183.63.25429.183.63.2558,190
18729.183.64.0/1929.183.64.1 to 29.183.95.25429.183.95.2558,190
18829.183.96.0/1929.183.96.1 to 29.183.127.25429.183.127.2558,190
18929.183.128.0/1929.183.128.1 to 29.183.159.25429.183.159.2558,190
19029.183.160.0/1929.183.160.1 to 29.183.191.25429.183.191.2558,190
19129.183.192.0/1929.183.192.1 to 29.183.223.25429.183.223.2558,190
19229.183.224.0/1929.183.224.1 to 29.183.255.25429.183.255.2558,190
19329.184.0.0/1929.184.0.1 to 29.184.31.25429.184.31.2558,190
19429.184.32.0/1929.184.32.1 to 29.184.63.25429.184.63.2558,190
19529.184.64.0/1929.184.64.1 to 29.184.95.25429.184.95.2558,190
19629.184.96.0/1929.184.96.1 to 29.184.127.25429.184.127.2558,190
19729.184.128.0/1929.184.128.1 to 29.184.159.25429.184.159.2558,190
19829.184.160.0/1929.184.160.1 to 29.184.191.25429.184.191.2558,190
19929.184.192.0/1929.184.192.1 to 29.184.223.25429.184.223.2558,190
20029.184.224.0/1929.184.224.1 to 29.184.255.25429.184.255.2558,190
20129.185.0.0/1929.185.0.1 to 29.185.31.25429.185.31.2558,190
20229.185.32.0/1929.185.32.1 to 29.185.63.25429.185.63.2558,190
20329.185.64.0/1929.185.64.1 to 29.185.95.25429.185.95.2558,190
20429.185.96.0/1929.185.96.1 to 29.185.127.25429.185.127.2558,190
20529.185.128.0/1929.185.128.1 to 29.185.159.25429.185.159.2558,190
20629.185.160.0/1929.185.160.1 to 29.185.191.25429.185.191.2558,190
20729.185.192.0/1929.185.192.1 to 29.185.223.25429.185.223.2558,190
20829.185.224.0/1929.185.224.1 to 29.185.255.25429.185.255.2558,190
20929.186.0.0/1929.186.0.1 to 29.186.31.25429.186.31.2558,190
21029.186.32.0/1929.186.32.1 to 29.186.63.25429.186.63.2558,190
21129.186.64.0/1929.186.64.1 to 29.186.95.25429.186.95.2558,190
21229.186.96.0/1929.186.96.1 to 29.186.127.25429.186.127.2558,190
21329.186.128.0/1929.186.128.1 to 29.186.159.25429.186.159.2558,190
21429.186.160.0/1929.186.160.1 to 29.186.191.25429.186.191.2558,190
21529.186.192.0/1929.186.192.1 to 29.186.223.25429.186.223.2558,190
21629.186.224.0/1929.186.224.1 to 29.186.255.25429.186.255.2558,190
21729.187.0.0/1929.187.0.1 to 29.187.31.25429.187.31.2558,190
21829.187.32.0/1929.187.32.1 to 29.187.63.25429.187.63.2558,190
21929.187.64.0/1929.187.64.1 to 29.187.95.25429.187.95.2558,190
22029.187.96.0/1929.187.96.1 to 29.187.127.25429.187.127.2558,190
22129.187.128.0/1929.187.128.1 to 29.187.159.25429.187.159.2558,190
22229.187.160.0/1929.187.160.1 to 29.187.191.25429.187.191.2558,190
22329.187.192.0/1929.187.192.1 to 29.187.223.25429.187.223.2558,190
22429.187.224.0/1929.187.224.1 to 29.187.255.25429.187.255.2558,190
22529.188.0.0/1929.188.0.1 to 29.188.31.25429.188.31.2558,190
22629.188.32.0/1929.188.32.1 to 29.188.63.25429.188.63.2558,190
22729.188.64.0/1929.188.64.1 to 29.188.95.25429.188.95.2558,190
22829.188.96.0/1929.188.96.1 to 29.188.127.25429.188.127.2558,190
22929.188.128.0/1929.188.128.1 to 29.188.159.25429.188.159.2558,190
23029.188.160.0/1929.188.160.1 to 29.188.191.25429.188.191.2558,190
23129.188.192.0/1929.188.192.1 to 29.188.223.25429.188.223.2558,190
23229.188.224.0/1929.188.224.1 to 29.188.255.25429.188.255.2558,190
23329.189.0.0/1929.189.0.1 to 29.189.31.25429.189.31.2558,190
23429.189.32.0/1929.189.32.1 to 29.189.63.25429.189.63.2558,190
23529.189.64.0/1929.189.64.1 to 29.189.95.25429.189.95.2558,190
23629.189.96.0/1929.189.96.1 to 29.189.127.25429.189.127.2558,190
23729.189.128.0/1929.189.128.1 to 29.189.159.25429.189.159.2558,190
23829.189.160.0/1929.189.160.1 to 29.189.191.25429.189.191.2558,190
23929.189.192.0/1929.189.192.1 to 29.189.223.25429.189.223.2558,190
24029.189.224.0/1929.189.224.1 to 29.189.255.25429.189.255.2558,190
24129.190.0.0/1929.190.0.1 to 29.190.31.25429.190.31.2558,190
24229.190.32.0/1929.190.32.1 to 29.190.63.25429.190.63.2558,190
24329.190.64.0/1929.190.64.1 to 29.190.95.25429.190.95.2558,190
24429.190.96.0/1929.190.96.1 to 29.190.127.25429.190.127.2558,190
24529.190.128.0/1929.190.128.1 to 29.190.159.25429.190.159.2558,190
24629.190.160.0/1929.190.160.1 to 29.190.191.25429.190.191.2558,190
24729.190.192.0/1929.190.192.1 to 29.190.223.25429.190.223.2558,190
24829.190.224.0/1929.190.224.1 to 29.190.255.25429.190.255.2558,190
24929.191.0.0/1929.191.0.1 to 29.191.31.25429.191.31.2558,190
25029.191.32.0/1929.191.32.1 to 29.191.63.25429.191.63.2558,190
25129.191.64.0/1929.191.64.1 to 29.191.95.25429.191.95.2558,190
25229.191.96.0/1929.191.96.1 to 29.191.127.25429.191.127.2558,190
25329.191.128.0/1929.191.128.1 to 29.191.159.25429.191.159.2558,190
25429.191.160.0/1929.191.160.1 to 29.191.191.25429.191.191.2558,190
25529.191.192.0/1929.191.192.1 to 29.191.223.25429.191.223.2558,190
25629.191.224.0/1929.191.224.1 to 29.191.255.25429.191.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses